[RESOLU] WAPT entreprise - erreur dépot externe

Share here your tips or issues concerning WAPT Console or WAPT Agent / Venez ici partager vos problèmes et astuces concernants la console et l'agent WAPT
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée ( 1.6.1 / 1.7.4 / 1.8.2 / etc.) AINSI QUE l'édition Enterprise / Community
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter Camille ou Faustine au service commercial Tranquil IT au 02.40.97.57.55
celine18
Messages : 14
Inscription : 03 oct. 2018 - 15:14

21 juil. 2021 - 14:18

Bonjour,

Nous venons de mettre à jour notre version community en version entreprise.
Tous semble de se mettre à jour petit à petit.
Cependant, l'accès au dépot externe store.wapt.fr/wapt ne fonctionne plus (voir message d'erreur en pièce jointe).
Nous avons un proxy mais tous les paramètres semblent avoir été transféré mais la console refuse d'accéder à la liste des paquets.

Avez-vous une idée ?

Wapt server : debian 10
Wapt console : windows 10
Wapt entreprise 2.0

Si vous avez besoin d'autres informations n'hésitez pas à les demander
Merci par avance pour votre aide
Bien cordialement
Céline
Pièces jointes
depot externe.JPG
depot externe.JPG (27.51 Kio) Consulté 257 fois
Dernière modification par celine18 le 25 août 2021 - 14:54, modifié 1 fois.
Avatar de l’utilisateur
Gaetan
Messages : 135
Inscription : 08 août 2019 - 10:16
Localisation : Toulouse

23 juil. 2021 - 08:19

Bonjour,
la console aussi a-t-elle été mise à jour vers la version enterprise ?
celine18
Messages : 14
Inscription : 03 oct. 2018 - 15:14

23 juil. 2021 - 09:54

Bonjour,

Oui, la console a bien été mise à jour en 2.0 enterprise edition.
J'ai tout récupéré à l'exception de l'accès au dépot externe.

Cdt
Avatar de l’utilisateur
Gaetan
Messages : 135
Inscription : 08 août 2019 - 10:16
Localisation : Toulouse

23 juil. 2021 - 10:17

celine18
Messages : 14
Inscription : 03 oct. 2018 - 15:14

23 juil. 2021 - 10:34

Par défaut, les paramètres du dépot était comme indiqué sur la photo.
J'ai ajouté le proxy : sans succès.

Cdt
Pièces jointes
param depot ext.JPG
param depot ext.JPG (27.75 Kio) Consulté 226 fois
param avance.JPG
param avance.JPG (43.61 Kio) Consulté 226 fois
Avatar de l’utilisateur
Gaetan
Messages : 135
Inscription : 08 août 2019 - 10:16
Localisation : Toulouse

23 juil. 2021 - 10:43

Il faut mettre le proxy sur la partie dépôt et pas sur la console pour votre cas.
celine18
Messages : 14
Inscription : 03 oct. 2018 - 15:14

23 juil. 2021 - 11:15

Cela ne fonctionne toujours pas.
En revanche le message d'erreur à changer.
Voici l'erreur lors de la tentative de mise à jour d'un paquet depuis la console (fonction : update-package).
J'ai un problème de paramètres mais je ne vois pas à quel endroit alors que tout fonctionnait très bien avant la migration du serveur qui était en community.
________________________________________________________________________________________________

Code : Tout sélectionner

Downloading/Updating package content from upstream binary sources
URL used is: https://www.7-zip.org/download.html
CRITICAL:waptcore:Fatal error in update_package function: None : None:
Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connection.py", line 169, in _new_conn
    conn = connection.create_connection(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\util\connection.py", line 73, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "socket.py", line 918, in getaddrinfo
socket.gaierror: [Errno 11002] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 1010, in _validate_conn
    conn.connect()
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connection.py", line 353, in connect
    conn = self._new_conn()
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connection.py", line 181, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x0A21D928>: Failed to establish a new connection: [Errno 11002] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\adapters.py", line 439, in send
    resp = conn.urlopen(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\util\retry.py", line 573, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.7-zip.org', port=443): Max retries exceeded with url: /download.html (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0A21D928>: Failed to establish a new connecti
on: [Errno 11002] getaddrinfo failed'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\waptpackage.py", line 2928, in call_setup_hook
    hookdata = hook_func()
  File "C:\Users\AB3028~1\AppData\Local\Temp\wapt-20210723-11124700000.tmp\asb-7zip_x64-wapt\setup.py", line 50, in update_package
    version = bs_find_all(url, 'b', proxies=proxies)[1].text.split('Zip ')[-1].split(' (')[0]
  File "C:\Users\AB3028~1\AppData\Local\Temp\wapt-20210723-11124700000.tmp\asb-7zip_x64-wapt\setup.py", line 119, in bs_find_all
    page = requests.get(url, proxies=proxies, headers=headers, **kwargs).text
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='www.7-zip.org', port=443): Max retries exceeded with url: /download.html (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0A21D928>: Failed to establish a new conne
ction: [Errno 11002] getaddrinfo failed'))

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connection.py", line 169, in _new_conn
    conn = connection.create_connection(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\util\connection.py", line 73, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "socket.py", line 918, in getaddrinfo
socket.gaierror: [Errno 11002] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 1010, in _validate_conn
    conn.connect()
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connection.py", line 353, in connect
    conn = self._new_conn()
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connection.py", line 181, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x0A21D928>: Failed to establish a new connection: [Errno 11002] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\adapters.py", line 439, in send
    resp = conn.urlopen(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "C:\Program Files (x86)\wapt\lib\site-packages\urllib3\util\retry.py", line 573, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.7-zip.org', port=443): Max retries exceeded with url: /download.html (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0A21D928>: Failed to establish a new connecti
on: [Errno 11002] getaddrinfo failed'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\waptpackage.py", line 2932, in call_setup_hook
    raise e
  File "C:\Program Files (x86)\wapt\waptpackage.py", line 2928, in call_setup_hook
    hookdata = hook_func()
  File "C:\Users\AB3028~1\AppData\Local\Temp\wapt-20210723-11124700000.tmp\asb-7zip_x64-wapt\setup.py", line 50, in update_package
    version = bs_find_all(url, 'b', proxies=proxies)[1].text.split('Zip ')[-1].split(' (')[0]
  File "C:\Users\AB3028~1\AppData\Local\Temp\wapt-20210723-11124700000.tmp\asb-7zip_x64-wapt\setup.py", line 119, in bs_find_all
    page = requests.get(url, proxies=proxies, headers=headers, **kwargs).text
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "C:\Program Files (x86)\wapt\lib\site-packages\requests\adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='www.7-zip.org', port=443): Max retries exceeded with url: /download.html (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0A21D928>: Failed to establish a new conne
ction: [Errno 11002] getaddrinfo failed'))
Avatar de l’utilisateur
Gaetan
Messages : 135
Inscription : 08 août 2019 - 10:16
Localisation : Toulouse

23 juil. 2021 - 14:52

Lors de l'ouverture du store donne-t-elle la même erreur ?
celine18
Messages : 14
Inscription : 03 oct. 2018 - 15:14

23 août 2021 - 16:54

Bonjour,

Désolé pour l'attente, j'étais en congés !
Oui, le message est similaire, le voici :

Cdlt
Pièces jointes
Capture.JPG
Capture.JPG (27.92 Kio) Consulté 88 fois
Avatar de l’utilisateur
Gaetan
Messages : 135
Inscription : 08 août 2019 - 10:16
Localisation : Toulouse

23 août 2021 - 16:58

Bonjour,
ds mises à jour de la 2.0 sont disponibles. Pouvez-vous les faire et retenter ?
Répondre